<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JS HW-8</title>
</head>
<body style="display: flex; flex-direction: column; gap: 20px; padding: 50px;">
   
   


    <h1>1. Цей метод використовується для виконання певних дій над всіма (або обраними) елементами массивуБ які перебираються методом почерзі.</h1>
    

    <h1>2. Методи, які змінюють існуючий масив:
        push(): Додає елемент в кінець.
        pop(): Видаляє з кінця массиву.
        shift(): Видаляє спочатку массиву.
        unshift(): Додає на початок.
        reverse(): Повертає порядок елементів.
        та інщі.
        Методи, які повертають новий масив:
        concat(): Повертає масив, який містить дані з поточного масиву + додаткові значення.
        filter(): Повертає масив, що містить елементи, які відповідають заданим умовам.
        map(): Повертає масив, який формується на основі заданої функції.
        та інщі.

        
    <h1>3. Використання функції isArray(), або перевірити на наявність властивість length.</h1>

    <h1>4. forEach() виконує дії, заданні в функції для кожного елемента массиву, тоді як map() ще і створює новий массив.</h1>

    <script src="./jsHw8.js"></script>
</body>
</html>